
# Fedora Review: http://bugzilla.redhat.com/230071

Summary: A library to manipulate EXIF/IPTC information 
Name:	 libkexiv2
Version: 0.1.5
Release: 1%{?dist}

License: GPL
Group:	 Applications/Multimedia
URL: 	 http://www.kipi-plugins.org/
Source0: http://dl.sourceforge.net/sourceforge/kipi/libkexiv2-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: exiv2-devel >= 0.14
BuildRequires: kdelibs-devel

%description
A wrapper for Exiv2 library to manipulate picture metadata, used by 
digiKam and other kipi host applications.

%package devel
Summary: Header files, libraries for %{name}
Group:	 Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
%{summary}.


%prep
%setup -q


%build
%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --disable-static

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libkexiv2/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon May 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.5-1
- libkexiv2-0.1.5

* Mon May 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.4-1
- libkexiv2-0.1.4

* Mon Apr 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.2-3
- libkexiv2-0.1.2 (for exiv2-0.14) 

* Tue Feb 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.1-2
- fix %%clean
- update %%description
- BR: kdelibs-devel

* Mon Feb 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.1-1
- libkexiv2-0.1.1 

